Skip to content

Get activity by transaction hash

GET
/activities/{activityType}/tx/{txHash}
curl --request GET \
--url https://api.ethos.network/api/v2/activities/attestation/tx/example
activityType
required
string
Allowed values: attestation broker-post human-verification invitation-accepted karma-tip market market-v2-trade market-vote reply review review-archived slash unvouch unvouch-v2 vote vouch vouch-v2 vouch-v2-decrease vouch-v2-increase xp-tip
txHash
required
string
/^0x[a-fA-F0-9]{64}$/

Successful response

Media typeapplication/json
object

Example generated

{}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}